﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>Pregled svih djelatnosti</title>
    <link href="lib/jqueryui/themes/base/jquery-ui.min.css" rel="stylesheet" type="text/css" />
    <link href="lib/jtable/lib/themes/lightcolor/blue/jtable.min.css" rel="stylesheet" type="text/css" />
</head>
<body>

    <div class="container">
        <div class="row">
            <div class="col-sm-8" id="djelatnost">

            </div>
        </div>
    </div>

    <script type="text/javascript" src="lib/jquery/jquery.min.js"></script>
    <script type="text/javascript" src="lib/jqueryui/jquery-ui.min.js"></script>
    <script type="text/javascript" src="lib/jtable/lib/jquery.jtable.min.js"></script>
    <script type="text/javascript" src="lib/jtable/lib/localization/jquery.jtable.hr.js"></script>

    <script type="text/javascript">
        $(document).ready(function () {
            $('#djelatnost').jtable({
                title: 'Popis djelatnosti',
                paging: true,
                pageSize: 5,
                sorting: true,
                defaultSorting: 'Id ASC',
                actions: {
                    listAction: 'jtable/djelatnost/getall',
                    createAction: 'jtable/djelatnost/create',
                    updateAction: 'jtable/djelatnost/update',
                    deleteAction: 'jtable/djelatnost/delete'
                },
                fields: {
                    Id: {
                        create:true,
                        key: true,
                        list: true,
                        title: "Id djelatnosti"
                    },
                    Naziv: {
                        title: 'Naziv djelatnosti',
                        width: '20%'
                    },
                }
            });

            $("#djelatnost").jtable('load');
        });
    </script>

</body>
</html>